// Ansteuern eines Standard-LCD mit 4-Bit-Schnittstelle
// und Abfrage eines Joysticks
// Pin 1.0: RS
// Pin 1.1: E
// Pins 1.4 bis 1.7: D4 bis D7
// Pins 1.2 und 1.3: Eingnge fr Joystick x/y (Ausgang Spannungsteiler GND...VCC)
// Version: 2013-10-21

#ifndef DISPLAY_JOYSTICK_H
#define DISPLAY_JOYSTICK_H

#include "io430.h"
#include <stdbool.h>

void initialize(void);
int readAnalog(int channel);
void clear(void);
void putCharacter(unsigned char row, unsigned char column, char character);
void writeString(char s[]);
void writeNumber(unsigned int a);

// Achtung: Der Cursor wird automatisch hinter das aktuell geschriebene Zeichen verschoben.
void showCursor(bool visible, bool blinking);
void shiftCursor(bool right);
void moveCursor(unsigned char row, unsigned char column);

void waitOneMillisecond(void);
void waitMilliseconds(unsigned int duration);

#endif
